Autor Tema: Error al actualizar aircrack desde el actualizador  (Leído 380 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado sol666

  • **
  • Mensajes: 5
Error al actualizar aircrack desde el actualizador
« en: 13-08-2018, 13:24 (Lunes) »
buenas,pues eso,wifislax 1.1,queria actualizar aircrack-ng desde el actualizador y me da error,otra cosa con el portatil lo he actualizado con slpkg a la version 1.3 y poniendo en modo monitor con airmon-ng start wlan0 ya no crea mon0 sino wlan0mon,se ve que esta actualizacion ya no crea mon0,de hecho me ha tocado retocar handshaker para que funcione pero esto es otro tema,bueno dejo el error del actualizador



        ******************************
           Actualizador/Instalador   
           Paquete: aircrack-ng
                                   
           www.seguridadwireless.net 
        ******************************

Version Script: 26/05/2018

La version del sistema es...aircrack-ng-1.2

__________________________________________

La version mas nueva en su pagina web es...aircrack-ng-

Pulsa ENTER si deseas actualizarla


/opt/wifislax-updaters/Funciones/funciones_updater: línea 142: [: 1.2: se esperaba un operador unario

Descargando sources de aircrack-ng-

android_ws Auditoria #



Desconectado WarlocK

  • **
  • Mensajes: 1
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #1 en: 19-08-2018, 14:14 (Domingo) »
me sumo a la pregunta  ???
mismo error en otra linea:

        ******************************
           Actualizador/Instalador   
           Paquete: aircrack-ng
                                   
           www.seguridadwireless.net 
        ******************************

Version Script: 26/05/2018

La version del sistema es...aircrack-ng-1.2_beta1

__________________________________________

La version mas nueva en su pagina web es...aircrack-ng-

Pulsa ENTER si deseas actualizarla


/opt/wifislax-updaters/Funciones/funciones_updater: línea 144: [: 1.2_beta1: se esperaba un operador unario

Descargando sources de aircrack-ng-

wifislax64 Auditoria #

Gracias de antemano.

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #2 en: 19-08-2018, 22:03 (Domingo) »
wlan0mon

Por eso tendrás que usar el script, para que salga monox
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #3 en: 19-08-2018, 22:18 (Domingo) »
eliminar perdida de tiempo.
 >:( >:( >:( >:( >:( >:( >:(
« Última modificación: 20-08-2018, 01:11 (Lunes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14168
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #4 en: 19-08-2018, 23:19 (Domingo) »
Tengo un dilema con este updater , por que la version estable de wifislax64 , la 1.1  , utiliza aun una version vieja de airmon-ng ..

y en la siguiente , ya no sera asi , por eso no vi que no funcionaba el script del repo, por que en mi iso , tengo uno distinto que sigue funcionando bien ,

Mirare de corregir el que esta online, sin estropear aun , lo de airmon-ng , hasta que saque la siguiente estable, y lo termine de matar.


EDIT: Arreglao en github.
« Última modificación: 19-08-2018, 23:25 (Domingo) por USUARIONUEVO »

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #5 en: 20-08-2018, 00:51 (Lunes) »
# aircrack-ng

  Aircrack-ng 1.3  - (C) 2006-2018 Thomas d'Otreppe
  https://www.aircrack-ng.org
 

Ya lo tengo, lo hice a manita

# diff /opt/wifislax-updaters/Auditoria/aircrack-ng_updater.original /opt/wifislax-updaters/Auditoria/aircrack-ng_updater
Citar
5c5
< SCRIPT_VERSION=20180526
---
> SCRIPT_VERSION=20180709
22,24c22,24
<       WEB=https://download.aircrack-ng.org
<       VERSION=$(curl -s $WEB/|grep $EXTENSION|head -1|cut -d- -f4|cut -d t -f-1|sed 's/.$//g')
<       SOURCES=$PRGNAM-$VERSION.$EXTENSION
---
>       WEB=https://www.aircrack-ng.org
>       VERSION=1.3
>       SOURCES="aircrack-ng-$VERSION.$EXTENSION"
26c26,32
<       DOWNLOAD=$WEB/$SOURCES
---
>       DOWNLOAD=https://download.aircrack-ng.org/$SOURCES
> }
>
> # Comprobar dependencias
> F_dependencias(){
> DEPENDENCIAS="cmocka"
> f_dependencias
213a220,221
> # Comprobar dependencias
> F_dependencias

diff /opt/wifislax-updaters/Funciones/funciones_updater.original /opt/wifislax-updaters/Funciones/funciones_updater
Citar
31c31
< rm -rf /opt/wifislax-updaters/*/*~ &>/dev/null
---
> # rm -rf /opt/wifislax-updaters/*/*~ &>/dev/null
35c35
<    rm -Rf $TMP &>/dev/null
---
>    # rm -Rf $TMP &>/dev/null
192c192
< rm -rf /usr/src/slapt-src/${GROUP}/${D}
---
> # rm -rf /usr/src/slapt-src/${GROUP}/${D}
248c248
<    rm -rf $PKG
---
>    # rm -rf $PKG
281c281
<       rm -rf $PRGNAM-$VERSION
---
>       #rm -rf $PRGNAM-$VERSION


« Última modificación: 20-08-2018, 01:08 (Lunes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #6 en: 20-08-2018, 01:07 (Lunes) »
cmocka-1.1.1-x86_64-1slackbuilds.txz
aircrack-ng-1.3-x86_64-1wifislax.txz

# cd /var/log/packages/
# find . | grep aircrack-ng

Descarga ultima version:

https://mega.nz/#F!u191xZhZ!zUC5e4mSk8qn0MsTSP2itw

Para intalar la version 1.3


# cd /var/log/packages/
# find . | grep aircrack-ng         
Citar
./aircrack-ng-1.3-x86_64-1wifislax

# removepkg aircrack-ng-1.3-x86_64-1wifislax

# find . | grep cmocka# find . | grep cmocka
Citar
./cmocka-1.1.1-x86_64-1slackbuilds

removepkg cmocka-1.1.1-x86_64-1slackbuilds

Para instalar

# cd /root/Desktop/aircrack-ng_depends/development/
# installpkg cmocka-1.1.1-x86_64-1slackbuilds.txz
Citar
Verifying package cmocka-1.1.1-x86_64-1slackbuilds.txz.
Installing package cmocka-1.1.1-x86_64-1slackbuilds.txz:
PACKAGE DESCRIPTION:
# cmocka (Unit testing framework for C)
#
# CMocka is an elegant unit testing framework for C with support for
# mock objects. It provides a powerful testing framework for C, on
# on different platforms and operating systems, which only requires the
# standard C library.
#
# It includes support for mock objects, a fully documented API, test
# fixtures, exception handling for singlas, testing of memory leaks and
# buffer overflows and underflows.
#
Executing install script for cmocka-1.1.1-x86_64-1slackbuilds.txz.
Package cmocka-1.1.1-x86_64-1slackbuilds.txz installed.

# cd /root/Desktop/Auditoria/
# ls
Citar
aircrack-ng-1.3-x86_64-1wifislax.txz

# installpkg aircrack-ng-1.3-x86_64-1wifislax.txz
Citar
Verifying package aircrack-ng-1.3-x86_64-1wifislax.txz.
Installing package aircrack-ng-1.3-x86_64-1wifislax.txz:
PACKAGE DESCRIPTION:
# aircrack-ng (WLAN auditing tool)
#
# aircrack is an 802.11 WEP and WPA-PSK keys cracking program that
# can recover keys once enough data packets have been captured.
# It implements the standard FMS attack along with some
# optimizations like KoreK attacks, thus making the attack much
# faster compared to other WEP cracking tools. In fact, aircrack
# is a set of tools for auditing wireless networks.
#
# Homepage: http://www.aircrack-ng.org/
#
Executing install script for aircrack-ng-1.3-x86_64-1wifislax.txz.
Package aircrack-ng-1.3-x86_64-1wifislax.txz installed.

Salu2
« Última modificación: 20-08-2018, 01:18 (Lunes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14168
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #7 en: 20-08-2018, 01:39 (Lunes) »
AA, veo que empiezas a manejar txz tambien , la idea de eso , es poder actualizar mas facil con las tools de slackware "installpkg" "upgradepkg", etc  ;)

ademas cuando eliges ese formato , busca en slackbuilds, si hay un "slack-desc"  , que es lo que sale escrito describiendo dicho paquete y que solo puede meterse en formato txz , ya que las tools de slackware gestionan los slack-desc ,y saben que hacer con ellos despues.

es muy comodo tambien para mantener el live , ya que descomprimes el modulo networking, y puedes usar directamente 

Código: [Seleccionar]
ROOT=carpeta upgradepkg paquete
mucho mas limpio y eficiente  ;)

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #8 en: 21-08-2018, 06:14 (Martes) »
AA, veo que empiezas a manejar txz tambien , la idea de eso , es poder actualizar mas facil con las tools de slackware "installpkg" "upgradepkg", etc  ;)

ademas cuando eliges ese formato , busca en slackbuilds, si hay un "slack-desc"  , que es lo que sale escrito describiendo dicho paquete y que solo puede meterse en formato txz , ya que las tools de slackware gestionan los slack-desc ,y saben que hacer con ellos despues.

es muy comodo tambien para mantener el live , ya que descomprimes el modulo networking, y puedes usar directamente 

Código: [Seleccionar]
ROOT=carpeta upgradepkg paquete
mucho mas limpio y eficiente  ;)


No los manejo ahora, ya hace mas de diez años.
En el foro parece que interesan mas lo módulos live.
Vengo de otras distros linux, variantes y puro slackware.

Mi intención era hacer un manual, al que estaba en ese momento ya dos horas de trabajo para que mi propio hijo de 11 años supera hacerlo.

Y no tener que esperar a otra iso para reinstalar encima o limpia, porque la que tienes es mas que suficiente.

Pues borre el manual, ya que según te entendí, posiblemente mal, era una perdida de tiempo.

Ahora quien quiera usar la distro que tiene, le dejaran a funcionar los script.

Pero que  no pasa nada, que en vez de hacer el manual voy al grano.

borro manual, pongo los cambios en los script y comparto los archivos que en definitiva es lo que se debería poder hacer en wifislax, actualizar sin tener que poner  una encima o formatear y empezar de cero.

Salu2
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #9 en: 21-08-2018, 06:21 (Martes) »
Mi primer juguete, referente a pcs
https://es.wikipedia.org/wiki/Amstrad_CPC_464

Sistema operativo   Locomotive BASIC 1.0

Que bueno hacia copias de seguridad, pirateara los juegos para vidas infinitas,  bruce lee.

O me tirada horas escribiendo cogido fuente para hacer un corazón, la barrita que tenias que evitar que la pelota cayera al suelo.

En fin en offtopic puede que sea mas recomendable este mensaje, para mi tiene sentido lo que he dicho, pero cada cual que lo juzgue como mas le parezca.

Salu2
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #10 en: 21-08-2018, 11:46 (Martes) »
Podriamos tener nuestra propia repo, o nuestro propio repositorio.
# slpkg repo-list

+==============================================================================
| Repo id  Repo URL                                            Default   Status
+==============================================================================
  alien    http://bear.alienbase.nl/mirrors/people/alien/sb~   yes      enabled
  connos   https://connochaetos.org/slack-n-free/              yes      enabled
  conrad   http://slack.conraid.net/repository/slackware64-~   yes      enabled
  csb      http://slackware.uk/csb/                            yes      enabled
  ktown    http://alien.slackbook.org/ktown/                   yes      enabled
  mles     http://slackware.uk/microlinux/                     yes      enabled
  msb      http://slackware.org.uk/msb/                        yes      enabled
  multi    http://bear.alienbase.nl/mirrors/people/alien/mu~   yes      enabled
  rested   http://bear.alienbase.nl/mirrors/people/alien/re~   yes      enabled
  rlw      http://slackware.uk/people/rlworkman/               yes      enabled
  salix    http://download.salixos.org/                        yes      enabled
  sbo      http://slackbuilds.org/slackbuilds/                 yes      enabled
  slack    http://mirrors.slackware.com/slackware/             yes      enabled
  slacke   http://ngc891.blogdns.net/pub/                      yes      enabled
  slackl   http://www.slackel.gr/repo/                         yes      enabled
  slacky   http://repository.slacky.eu/                        yes      enabled
  slonly   https://slackonly.com/pub/packages/                 yes      enabled

Repositories summary
===============================================================================
17/17 enabled default repositories and 0 custom.
Edit the file '/etc/slpkg/repositories.conf' for enable and disable default
repositories or run 'slpkg repo-enable' command.

# slpkg -F aircrack-ng

Packages with name matching [ aircrack-ng ]

+==============================================================================
| Repository  Package                                                      Size
+==============================================================================
  conrad      aircrack-ng-1.3-x86_64-1cf.txz                             2644 K
  slonly      aircrack-ng-1.2_beta1-x86_64-1_slonly.txz                   316 K

Found summary
===============================================================================
Total found 2 packages in 2 repositories.

y en la lista de repositorios también estuviera wifislax o seguridadwireless.

Los scipt están genial cuando funcionan, pero cuando no lo hacen, si no manejas un poco te ves vendido o perdido.



Salu2
« Última modificación: 21-08-2018, 11:50 (Martes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • **
  • Mensajes: 40
Re:Error al actualizar aircrack desde el actualizador
« Respuesta #11 en: 21-08-2018, 12:05 (Martes) »
https://github.com/wifislax-ng/wifislax64-updaters

# nano funciones_updater



Funciones # cd ..

wifislax-updaters # ls
Auditoria   Drivers    Internet  Librerias             Multimedia   Oficina  Python
Desarrollo  Funciones  Juegos    Librerias-Multimedia  Navegadores  Pentest  Sistema
wifislax-updaters # cd Auditoria/
nano aircrack-ng_updater



# locate Sistema | grep update

/opt/wifislax-updaters/Sistema/wifislax-updaters_updater

# sh /opt/wifislax-updaters/Sistema/wifislax-updaters_updater

Buscando aircrack-ng_updater... EXISTE + ACTUALIZADO (09/07/2018)

Buscando funciones_updater... EXISTE + ACTUALIZADO (30/10/2017)



        ******************************
           Actualizador/Instalador   
           Paquete: aircrack-ng
                                   
           www.seguridadwireless.net 
        ******************************

Version Script: 09/07/2018

La version del sistema es...aircrack-ng-1.3

__________________________________________

La version mas nueva en su pagina web es...aircrack-ng-1.3

Pulsa ENTER si deseas actualizarla

Ayer salia lo siguiente La version mas nueva en su pagina web es...aircrack-ng-

Salu2
« Última modificación: 21-08-2018, 12:06 (Martes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud